## eficas 2.0.3-1

=== debian/changelog ===
eficas (2.0.3-1-1) unstable; urgency=low

  * Initial release (Closes: #467097). Thanks also to
    Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2010 16:39:02 +0200
