=== debian/control ===
Source: eficas
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>
Build-Depends: debhelper (>= 5.0.38), cdbs (>= 0.4.49), 
 python-all (>= 2.3.5-11), python-support (>= 0.5.3), python-qt4-dev, quilt
Standards-Version: 3.9.1
Homepage: http://www.code-aster.org/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/eficas/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/eficas/


Package: eficas
Architecture: all
Depends: ${python:Depends}, python-tk, python-pmw, python-numpy, ${misc:Depends}
Description: Graphical editor for Code Aster command files
 This package provides an application to help the creation of Code Aster 
 command files. Thanks to this graphical user interface, a user 
 can intuitively create a Aster command file without knowing the 
 syntax.
 .
 Code Aster is all-purpose Finite Element Method (FEM) simulation 
 software for structural analysis.

#Package: eficas-doc
#Architecture: all
#Depends: eficas (= ${binary:Version} ), ${misc:Depends}
#Description: Documentation for Eficas
# Eficas provides an application to help the creation of Code Aster 
# command files. Thanks to this graphical user interface, a user 
# can intuitively create a Aster command file without knowing the 
# syntax.
# .
# Code Aster is all-purpose Finite Element Method (FEM) simulation 
# software for structural analysis.
# .
# This package contains Eficas documentation
