=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

ASTER_VERSION=10.2.0
ASTER_VERSION_FULL=$(ASTER_VERSION)-1

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_PYTHON_MODULE_PACKAGE = eficas
DEB_PYTHON_COMPILE_VERSION := $(shell pyversions -r)
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
	--install-lib=usr/share/python-support/eficas

# --install-lib  usr/lib/$(DEB_PYTHON_COMPILE_VERSION)/site-packages/eficas
#usr/share/python/site-package/eficas

#DEB_PYTHON_BUILD_ARGS = --build-base="$(DEB_BUILDDIR)/specific-build-dir"

build/$(DEB_PYTHON_MODULE_PACKAGE)::
	echo '#!/bin/sh\npython /usr/share/pyshared/Aster/eficas_aster.py $$*\n' > eficasTk
	echo '#!/bin/sh\npython /usr/share/pyshared/Aster/qtEficas_aster.py $$*\n' > eficasQt
	
install/$(DEB_PYTHON_MODULE_PACKAGE)::
# Data
	install -d debian/eficas/usr/share/eficas/Editeur/icons/
	install -m 0644  Editeur/icons/* debian/eficas/usr/share/eficas/Editeur/icons/
	install -d debian/eficas/usr/share/eficas/Editeur/Patrons/
	install -d debian/eficas/usr/share/eficas/Editeur/Patrons/ASTER
	install -m 0644  Editeur/Patrons/ASTER/* debian/eficas/usr/share/eficas/Editeur/Patrons/ASTER

# Configuration
	install -d debian/eficas/usr/share/pyshared/Aster
	install -d debian/eficas/etc/eficas/
	install -m 0644 -D Aster/editeur.ini Aster/editeur_salome.ini debian/eficas/etc/eficas/
	(cd debian/eficas/usr/share/pyshared/Aster/ &&	ln -sf /etc/eficas/editeur.ini .)
	(cd debian/eficas/usr/share/pyshared/Aster/ &&	ln -sf /etc/eficas/editeur_salome.ini .)
	(cd debian/eficas/usr/share/pyshared &&	ln -sf /usr/share/eficas/Editeur .)

# Permissions
	chmod +x debian/eficas/usr/share/python-support/eficas/Aster/eficas_aster.py
	chmod +x debian/eficas/usr/share/python-support/eficas/Aster/qtEficas_aster.py
	chmod +x debian/eficas/usr/share/python-support/eficas/Traducteur/traduitV7V8.py
	chmod +x debian/eficas/usr/share/python-support/eficas/Traducteur/traduitV8V9.py

#	chmod +x debian/eficas/usr/lib/$(DEB_PYTHON_COMPILE_VERSION)/site-packages/eficas/Aster/eficas_aster.py
#	chmod +x debian/eficas/usr/lib/$(DEB_PYTHON_COMPILE_VERSION)/site-packages/eficas/Aster/test_eficas.py
#	chmod +x debian/eficas/usr/lib/$(DEB_PYTHON_COMPILE_VERSION)/site-packages/eficas/Traducteur/traduitV7V8.py
#	chmod +x debian/eficas/usr/lib/$(DEB_PYTHON_COMPILE_VERSION)/site-packages/eficas/Traducteur/traduitV8V9.py
	install -d debian/eficas/usr/bin/
	install -m 0755 eficasTk debian/eficas/usr/bin/
	install -m 0755 eficasQt debian/eficas/usr/bin/

# Icon and menu entry
	install -d debian/eficas/usr/share/applications/
	install -m 0644 -D debian/eficas.desktop  debian/eficas/usr/share/applications/
	install -d debian/eficas/usr/share/pixmaps/
	install -m 0644 -D debian/eficas.xpm debian/eficas/usr/share/pixmaps/

# Manpages
	install -d debian/eficas/usr/share/man/man1
	install -m 0644 debian/eficas*.1 debian/eficas/usr/share/man/man1

# Eficas-doc::
#	for i in `seq 8 10`; \
#	do \
#	   install -d debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/Macro; \
#	   install -m 0644 Aster/Cata/cataSTA$$i/Macro/* debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/Macro; \
#	   install -d debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/materiau; \
#	   install -m 0644 Aster/Cata/cataSTA$$i/materiau/* debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/materiau; \
#	   install -d debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/Utilitai; \
#	   install -m 0644 Aster/Cata/cataSTA$$i/Utilitai/* debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/Utilitai; \
#        done
	for i in `seq 8 10`; \
	do \
	   install -d debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/materiau; \
	   install -m 0644 Aster/Cata/cataSTA$$i/materiau/* debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/materiau; \
        done
#	for i in `seq 9 10`; \
#	do \
#	   install -d debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/SD; \
#	   install -m 0644 Aster/Cata/cataSTA$$i/SD/* debian/eficas/usr/share/python-support/eficas/Aster/Cata/cataSTA$$i/SD; \
#        done

# Pdf docs
#	install -d debian/eficas/usr/share/eficas/Aster/Doc/v9.5/man_u/u4
#	install -m 0644 Aster/Doc/v9.5/man_u/u4/* debian/eficas/usr/share/eficas/Aster/Doc/v9.5/man_u/u4
#	install -d debian/eficas/usr/share/eficas/Aster/Doc/v9.5/man_u/u7
#	install -m 0644 Aster/Doc/v9.5/man_u/u7/* debian/eficas/usr/share/eficas/Aster/Doc/v9.5/man_u/u7
#	install -d debian/eficas/usr/share/eficas/Aster/Doc/v10/man_u/u4
#	install -m 0644 Aster/Doc/v10/man_u/u4/* debian/eficas/usr/share/eficas/Aster/Doc/v10/man_u/u5
#	install -d debian/eficas/usr/share/eficas/Aster/Doc/v10/man_u/u7
#	install -m 0644 Aster/Doc/v10/man_u/u7/* debian/eficas/usr/share/eficas/Aster/Doc/v10/man_u/u7

clean::
	rm -f eficasTk eficasQt
	
get-orig-source:
	# Retreive aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	mkdir -p tmp
	cd tmp && wget "http://www.code-aster.org/V2/spip.php?action=dw2_out&id=785"
	
	# Go to SRC directory and retreive astk source
	cd tmp && tar xzf aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	cd tmp/aster-full-src-$(ASTER_VERSION)/SRC && mv $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
