## eficas 6.4.0-1

=== debian/changelog ===
eficas (6.4.0-1-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Drop old menu file and the xpm icon used by it
  * Drop explicit mentioning of quilt which is redundant for source format
    quilt (3.0)
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 11:20:37 +0100

eficas (6.4.0-1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from Ubuntu with the following changes:
    * debian/compat: Indicate compatibility level of 10. (Closes: #830424)
    * debian/control: Build-depend on debhelper (>= 10) and dh-python.

 -- Adrian Bunk <bunk@debian.org>  Fri, 13 Jan 2017 20:31:30 +0200

eficas (6.4.0-1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "eficas doesn't work" (Closes: #669233)
      - Add depends on 'python-qt4'

 -- Chunis Deng <chunchengfh@gmail.com>  Sun, 29 Apr 2012 16:07:53 +0800

eficas (6.4.0-1-1) unstable; urgency=low

  * New upstream release (closes: #656606)
  * Remove Tk support
  * Add openturns support
  * Add debian/eficas.install
  * debian/rules: 
      - Simplify install target
  * debian/control: 
      - Add xpdf to Depends
      - Add qt-assistant-compat to Depends
  * Bump to standard 3.9.2
      - Convert to dh_python2.
  * Update C. Trophime email

 -- Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>  Sat, 21 Apr 2012 23:48:24 +0200

eficas (2.1.1-1-1) unstable; urgency=low

  [ Andre Espaze ]
  * New upstream version

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Tue, 11 Jan 2011 15:43:53 +0100
