=== debian/control ===
--- 
+++ 
@@ -1,19 +1,29 @@
 Source: eficas
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sylvestre Ledru <sylvestre@debian.org>, Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>
-Build-Depends: debhelper (>= 5.0.38), cdbs (>= 0.4.49), 
- python-all (>= 2.3.5-11), python-support (>= 0.5.3), python-qt4-dev, quilt
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 10),
+               cdbs,
+               python-all,
+               python-qt4-dev,
+               python-openturns,
+               dh-python
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/eficas.git
+Vcs-Git: https://salsa.debian.org/science-team/eficas.git
 Homepage: http://www.code-aster.org/
-Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/code-aster/eficas/
-Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/code-aster/eficas/
-
+X-Python-Version: all
 
 Package: eficas
 Architecture: all
-Depends: ${python:Depends}, python-tk, python-pmw, python-numpy, ${misc:Depends}
+Depends: ${python:Depends},
+         python-pmw,
+         python-numpy,
+         python-qt4,
+         ${misc:Depends},
+         xpdf,
+         qt-assistant-compat
 Description: Graphical editor for Code Aster command files
  This package provides an application to help the creation of Code Aster 
  command files. Thanks to this graphical user interface, a user
