=== debian/rules ===
#!/usr/bin/make -f
# Copyright 2008 - Sylvestre Ledru <sylvestre.ledru@inria.fr>

ASTER_VERSION=11.0.10
ASTER_VERSION_FULL=$(ASTER_VERSION)-2

DEB_PYTHON2_MODULE_PACKAGES = eficas Accas Aide Aster convert Editeur \
 Extensions generator Ihm InterfaceQT4 UiQT4  Noyau Traducteur \
 Validation Openturns_Study Openturns_Wrapper

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_COMPILE_VERSION := $(shell pyversions -r)
DEB_PYTHON_INSTALL_ARGS_ALL += --no-compile \
	--install-lib=/usr/share/pyshared

build/eficas::
	echo '#!/bin/sh\npython /usr/share/pyshared/Aster/qtEficas_aster.py $$*\n' > eficasQt
	
install/eficas::
# Configuration
	install -d debian/eficas/usr/share/pyshared/Editeur
	(cd debian/eficas/usr/share/pyshared/Editeur && ln -sf /usr/share/eficas/Editeur/icons .)
	(cd debian/eficas/usr/share/pyshared/Editeur && ln -sf /usr/share/eficas/Editeur/Patrons .)
	install -d debian/eficas/usr/share/pyshared/Aster
	(cd debian/eficas/usr/share/pyshared/Aster && ln -sf /etc/eficas/editeur.ini .)
	(cd debian/eficas/usr/share/pyshared/Aster && ln -sf /etc/eficas/editeur_salome.ini .)
	(cd debian/eficas/usr/share/pyshared && ln -sf /usr/share/eficas/Aide .)
	
clean::
	rm -f eficasQt
	
get-orig-source:
	# Retreive aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	mkdir -p tmp
	cd tmp && wget "http://www.code-aster.org/FICHIERS/aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz"
	
	# Go to SRC directory and retreive eficas source
	cd tmp && tar xzf aster-full-src-$(ASTER_VERSION_FULL).noarch.tar.gz
	cd tmp/aster-full-src-$(ASTER_VERSION)/SRC && mv $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).tar.gz $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	
	rm -rf tmp
